Subject: Re: MPC823: i2c-algo-8xx read interrupt?

From: "[email-masked]" <[email-masked]>
Date: Mon, 11 Feb 2002 17:19:17 +0100

Dan Malek wrote:
>
>
> So, you think interrupt and management overhead of the software to send a
> couple of bytes on a 100k serial interface is free?  The chip designers are
> often upset when you don't use every feature, but you need to apply some
> real systems engineering methods and analyze how all of these little things
> help (or hurt) your application.
>
Most important reason for me to do the i2c with the RISC is the scalebility:
if the application needs to do a lot more i2c io as expected it won't affect
the overal performance.

	Bart

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/